Bug 182044 - can't create files in some directories even logged in as root
Summary: can't create files in some directories even logged in as root
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 182043 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-19 18:43 UTC by Juergen Bullinger
Modified: 2015-01-04 22:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 18:55:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Description of the bug in plain text (9.08 KB, text/plain)
2006-02-19 18:56 UTC, Juergen Bullinger
no flags Details

Description Juergen Bullinger 2006-02-19 18:51:12 UTC
*** Bug 182043 has been marked as a duplicate of this bug. ***

Comment 1 Juergen Bullinger 2006-02-19 18:55:09 UTC
I got some problems while I tried to file this bug. It seems that my whole text
is missing, so I append it as an attachement. It also contains the output of my
analysis.

Comment 2 Juergen Bullinger 2006-02-19 18:56:22 UTC
Created attachment 124866 [details]
Description of the bug in plain text

please read, I tried to arrange it as in the web form

Comment 3 Juergen Bullinger 2006-02-19 19:13:30 UTC
Some more info:

I did fsck.ext3 using fsck.ext3 /dev/sda11 -v -f
it processed normally and returned 0

then I mounted the filesystem again (mount /home).
And tried to cd to the directory (gmpbench)
at the last step (cd from gmp to gmpbench) i got the following messagen:



inode_doinit_with_dentry:  context_to_sid(user_u:object_r:file_t:s0) returned 22
for dev=sda11 ino=34316
inode_doinit_with_dentry:  context_to_sid(user_u:object_r:file_t:s0) returned 22
for dev=sda11 ino=34301
RES-divide-8192,64            timing.h
inode_doinit_with_dentry:  context_to_sid(user_u:object_r:file_t:s0) returned 22
for dev=sda11 ino=34319
inode_doinit_with_dentry:  context_to_sid(user_u:object_r:file_t:s0) returned 22
for dev=sda11 ino=34303
RES-divide-8192,8064          version

just while the shell tried to autocomplete the path (on tab)


Comment 4 Juergen Bullinger 2006-02-19 19:14:30 UTC
Oh I forgot of course I unmounted /home before I did an fsck :o)

Comment 5 Dave Jones 2006-02-19 20:10:08 UTC
as root, try touch /.autorelabel, and reboot.
It'll relabel the filesystems next time you boot.


Does it work after that?


Comment 6 Juergen Bullinger 2006-02-19 21:10:05 UTC
yes it worked indeed!
Why does this happen?
Aren't these labels passed by the bootloader to the kernel on startup?

Comment 7 Juergen Bullinger 2006-02-19 23:26:16 UTC
yes it worked indeed!
Why does this happen?
Aren't these labels passed by the bootloader to the kernel on startup?

Comment 8 Ignacio Vazquez-Abrams 2006-02-20 04:25:22 UTC
The filesystem labels and the SELinux file contexts are two very different things.

Comment 9 Dave Jones 2006-02-20 18:55:39 UTC
I've no idea why the labels weren't in place.  My guess is that you booted with
selinux=0 at some point ?  If you do that, new files don't get labels attached
to them.



Note You need to log in before you can comment on or make changes to this bug.